Апр 052014
 

Обнаружилась забавная штука.

  • wp 3.8.1, TinyMCE Advanced 3.5.9.1, NextGEN Gallery by Photocrati 2.0.61
  • Пользователь НЕ админ на сайте

Если “уровень” опции NextGEN Attach Interface (даёт возможность подшивать галереи к постам и править их) ниже или равен уровню пользователя – MCE “перестаёт работать”. Вместо визуального просмотра – пустое поле.

Если же повысить разрешённый уровень для данной опции (выше уровня пользователя), то, соответственно, пользователь не может подшить галерею или изменить свойства уже подшитой.

  • Вася Пупкин – редактор, Attach Interface – для редакторов. Результат – MCE не работает
  • Вася Пупкин – редактор, Attach Interface – для админов. Результат – MCE работает. Но, галерею не подшить
  • Вася Пупкин – админ, Attach Interface – для админов. Результат – MCE работает, галереи подшиваются, но пользователь админ

 

Пока ошибка не исправлена (я так понимаю, что это баг nextgen), придётся делать юзера админом, что не есть правильно.

Share

  Один комментарий в “WP+NextGen+TinyMCE Advanced”

  1. […] ошибку с кривым отображением окна редактирования поправили. Теперь всё работает, […]